Bug 175119 - Eclipse can't run javah
Eclipse can't run javah
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 13:54 EST by Mark Robinson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 03:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Robinson 2005-12-06 13:54:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I use eclipse to run an ant file with a javah statement I get

/home/mark/jv4linfo/jv4linfo/src/build.xml:64: Error starting javah: java.lang.ClassNotFoundException: com.sun.tools.javah.Main


Version-Release number of selected component (if applicable):
eclipse-ecj-3.1.1-1jpp_1fc.FC4.4

How reproducible:
Always

Steps to Reproduce:
1. Import an ant file with a javah compile directive into Eclipse
2. Attempt to build the file
3.
  

Actual Results:  header:
       [javah] ClassArgument.name=net.luniks.linux.jv4linfo.JV4LInfo

BUILD FAILED
/home/mark/jv4linfo/jv4linfo/src/build.xml:64: Error starting javah: java.lang.ClassNotFoundException: com.sun.tools.javah.Main

A dialog box pops up with the error as well


Expected Results:  javah should generate the appropriate header file.

Additional info:
Comment 1 Ben Konrath 2006-10-03 22:06:36 EDT
Sorry for the delay here, we missed this because it should have been filed
against the eclipse package. Does this still happen with FC5 or FC6?
Comment 2 Andrew Overholt 2006-10-03 22:13:11 EDT
Is this perhaps an error in gcjh (or whatever is actually providing
/usr/bin/javah) itself?  Does it work from outside Eclipse via ant?
Comment 3 Ben Konrath 2006-10-04 13:00:44 EDT
I'm actually interested to know what's going on, so I'm moving this to FC5.
Comment 4 Ben Konrath 2007-04-16 03:07:32 EDT
I'm going to close this bug since it has been in the NEEDINFO state for more
than 6 months without a response. Please re-open if this is still an issue.
Thanks, Ben

Note You need to log in before you can comment on or make changes to this bug.